{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:config('tuchuang.site_title')}－{:config('common.site_name')}</title>
<meta name="keywords" content="{:config('tuchuang.site_keywords')}" />
<meta name="description" content="{:config('tuchuang.site_description')}"  />
{/block}
{block name="header"}{include file="public/widget/header.tpl" /}{/block}
<!--main -->
{block name="main"}
<div class="container pt-5">
    <h2 class="text-center mb-3">{:config('tuchuang.site_name')}</h2>
    <p class="lead text-muted">{:config('tuchuang.site_description')}</p>
    <form class="mb-3" action="{:DcUrl('tuchuang/index/index','','')}" method="get" data-toggle="form" data-callback="cdnUrl">
      <div class="input-group input-group-lg">
        <input class="form-control" type="text" name="url" id="url" placeholder="请输入待处理加速的图片地址" autocomplete="off" required>
        <div class="input-group-append">
          <button class="btn btn-primary" type="submit">加速</button>
        </div>
      </div>
    </form>
    <p class="alert alert-primary text-break mb-3 d-none" id="alert">loading...</p>
</div>
{/block}
{block name="js"}
<script>
var cdnUrl = function($json, $status, $xhr, $callBack){
    if($json.code == 1){
        $('#alert').removeClass('d-none').html($json.data);
    }else{
        $('#alert').removeClass('d-none').html($json.msg);
    }
}
</script>
{/block}
{block name="footer"}{include file="public/widget/footer.tpl" /}{/block}